<ngx-spinner></ngx-spinner>

<div #chatHeader class="shadow-sm list-group-item flex-column align-items-start">
  <div class="d-flex w-100 justify-content-between">
    <h5 class="mb-1">{{ currentPost?.title }}</h5>
    <button
      (click)="onPostClose()"
      *ngIf="canClosePost()"
      class="btn btn-outline-dark"
      style="float: right;">
      Post schließen
    </button>
  </div>
  <hr>
  <p class="mb-1" style="word-wrap: break-word">
    {{ currentPost?.body }}
  </p>
  <small class="text-muted">
    <i>Ersteller: </i>
    <b>{{ currentPost?.user.displayName }}</b>
  </small>
</div>

<ng-container *ngIf="!isLoading">
  <div *ngIf="postHasReplies">
    <div
      [ngStyle]="{'height': chatBodyHeight}"
      class="col-sm-12 col-xs-12 chat chat-styling"
      tabindex="5001">
      <div class="chat-body">
        <ng-container *ngFor="let reply of allRepliesFromCurrentPost; let i = index">
          <div [ngClass]="[reply.replier.id === this.currentUser.id ? 'answer right' : 'answer left']">
            <div class="avatar">
              <img
                [src]="'assets/images/avatare/avatar' + reply.replier.avatarId + '.png'"
                alt="User name"/>
              <div class="status online"></div>
            </div>
            <div class="name">{{ reply.replier.displayName }}</div>
            <div class="text">
              {{ reply.text }}
            </div>
            <div class="time">{{ reply.creationDate | date:'shortTime' }}</div>
          </div>
        </ng-container>
      </div>
    </div>
  </div>

  <form (ngSubmit)="onNewReplySubmit()" [formGroup]="replyForm">
    <div class="input-group reply-form" style="margin-top: 10px">
      <label for="replyForm"></label>
      <input
        [placeholder]="postHasReplies ? '' : 'Seien Sie die erste Person die antwortet...'"
        [readOnly]="postIsClosed"
        class="form-control"
        formControlName="replyText"
        id="replyForm"
        type="text">
      <div class="input-group-append">
        <button
          [disabled]="postIsClosed"
          class="btn btn-outline-dark border-0"
          type="submit">
          <fa-icon [icon]="faPaperPlane"></fa-icon>
        </button>
      </div>
    </div>
  </form>
</ng-container>
